##
## $Id: Makefile.am,v 1.2 2001-09-27 11:59:35 chris Exp $
##

AUTOMAKE_OPTIONS = foreign 1.4

if HAS_NETWORKING
else
NETWORKING_H_FILES += ioctl.h
endif

if UNIX
else
NEWLIB_H_FILES += termios.h
endif

H_FILES = utime.h $(NEWLIB_H_FILES) $(NETWORKING_H_FILES)

noinst_HEADERS = utime.h termios.h ioctl.h

PREINSTALL_FILES += $(PROJECT_INCLUDE)/sys \
    $(H_FILES:%=$(PROJECT_INCLUDE)/sys/%)

$(PROJECT_INCLUDE)/sys:
	@$(mkinstalldirs) $@
$(PROJECT_INCLUDE)/sys/%.h: %.h
	$(INSTALL_DATA) $< $@

all-local: $(PREINSTALL_FILES)

include $(top_srcdir)/../../../automake/local.am
